Web lists-archives.com

Re: /bin/graph from plotutils 2.6-5 throws cygwin DLL error




On 08/02/2018 20:24, Keith Appleby wrote:
I have updated my Cygwin install, and am now getting the following when I
try to run graph.exe from plotutils (2.6-5) FROM MAKE (4.2.1-1)...

	graph test1.in > test1.plt

works for me

	      3 [main] graph (2376) D:\cygwin64\bin\graph.exe: *** fatal
error - cygheap base mismatch detected - 0x1802FD410/0x2EDD410.
	This problem is probably due to using incompatible versions of the
cygwin DLL.
	Search for cygwin1.dll using the Windows Start->Find/Search facility
	and delete all but the most recent version.  The most recent version
*should*
	reside in x:\cygwin\bin, where 'x' is the drive on which you have
	installed the cygwin distribution.  Rebooting is also suggested if
you
	are unable to find another cygwin DLL.

As well as checking for alternate cygwin1.dll files (none), I have rebooted,
reinstalled plotutils, rebooted again, reinstalled make, rebooted once more.
All to no avail.



check that there no *.new file in /usr/bin.
if so reinstall the involved package

try a full rebase

1)  rebase-trigger full
2)  run again setup

Regards
Marco

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple